CVE-2010-0298

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The x86 emulator in KVM 83 does not use the Current Privilege Level (CPL) and I/O Privilege Level (IOPL) in determining the memory access available to CPL3 code, which allows guest OS users to cause a denial of service (guest OS crash) or gain privileges on the guest OS by leveraging access to a (1) IO port or (2) MMIO region, a related issue to CVE-2010-0306.

References

http://secunia.com/advisories/38492

http://www.debian.org/security/2010/dsa-1996

http://www.securityfocus.com/bid/38158

https://bugzilla.redhat.com/show_bug.cgi?id=559091

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11335

https://rhn.redhat.com/errata/RHSA-2010-0088.html

https://rhn.redhat.com/errata/RHSA-2010-0095.html

Details

Source: MITRE

Published: 2010-02-12

Updated: 2017-09-19

Type: CWE-264

Risk Information

CVSS v2

Base Score: 6.5

Vector: AV:N/AC:L/Au:S/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*

Tenable Plugins

View all (8 total)

IDNameProductFamilySeverity
67993Oracle Linux 5 : kvm (ELSA-2010-0088)NessusOracle Linux Local Security Checks
high
63916RHEL 5 : kvm (RHSA-2010:0088)NessusRed Hat Local Security Checks
high
60730Scientific Linux Security Update : kvm on SL5.4 i386/x86_64NessusScientific Linux Local Security Checks
high
46811Ubuntu 10.04 LTS : linux regression (USN-947-2)NessusUbuntu Local Security Checks
high
46810Ubuntu 6.06 LTS / 8.04 LTS / 9.04 / 9.10 / 10.04 LTS : linux, linux-source-2.6.15 vulnerabilities (USN-947-1)NessusUbuntu Local Security Checks
high
45026Debian DSA-2010-1 : kvm - privilege escalation/denial of serviceNessusDebian Local Security Checks
medium
44860Debian DSA-1996-1 : linux-2.6 - privilege escalation/denial of service/sensitive memory leakNessusDebian Local Security Checks
critical
44427CentOS 5 : kvm (CESA-2010:0088)NessusCentOS Local Security Checks
high